Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.io.internal
Class OsgiResourceUtils

    java.lang.Object
      org.eclipse.gemini.blueprint.io.internal.OsgiResourceUtils

    public abstract class OsgiResourceUtils

extends Object

Utility class used for IO resources.

Author:
  Costin Leau

Field Summary
`static String` | `EMPTY_PREFIX`
`static String` | `FOLDER_DELIMITER`
`static String` | `PREFIX_DELIMITER`
`static int` | `PREFIX_TYPE_BUNDLE_JAR`
`static int` | `PREFIX_TYPE_BUNDLE_SPACE`
`static int` | `PREFIX_TYPE_CLASS_ALL_SPACE`
`static int` | `PREFIX_TYPE_CLASS_SPACE`
`static int` | `PREFIX_TYPE_NOT_SPECIFIED`
`static int` | `PREFIX_TYPE_UNKNOWN`

Constructor Summary
`OsgiResourceUtils()`

Method Summary
`static org.springframework.core.io.Resource[]` | `convertURLArraytoResourceArray(URL[] urls)`
`static org.springframework.core.io.Resource[]` | `convertURLEnumerationToResourceArray(Enumeration<URL> enm)`
`static String` | `findUpperFolder(String path)` Similar to /path/path1/ -> /path/, /path/file -> /path/
`static String` | `getPrefix(String path)` Return the path prefix if there is any or `EMPTY_PREFIX` otherwise.
`static int` | `getSearchType(String path)` Return the search type to be used for the give string based on the prefix.
`static boolean` | `isClassPathType(int type)`
`static String` | `stripPrefix(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_PREFIX

    public static final String EMPTY_PREFIX

See Also:
  Constant Field Values

### PREFIX_DELIMITER

    public static final String PREFIX_DELIMITER

See Also:
  Constant Field Values

### FOLDER_DELIMITER

    public static final String FOLDER_DELIMITER

See Also:
  Constant Field Values

### PREFIX_TYPE_UNKNOWN

    public static final int PREFIX_TYPE_UNKNOWN

See Also:
  Constant Field Values

### PREFIX_TYPE_NOT_SPECIFIED

    public static final int PREFIX_TYPE_NOT_SPECIFIED

See Also:
  Constant Field Values

### PREFIX_TYPE_BUNDLE_JAR

    public static final int PREFIX_TYPE_BUNDLE_JAR

See Also:
  Constant Field Values

### PREFIX_TYPE_BUNDLE_SPACE

    public static final int PREFIX_TYPE_BUNDLE_SPACE

See Also:
  Constant Field Values

### PREFIX_TYPE_CLASS_SPACE

    public static final int PREFIX_TYPE_CLASS_SPACE

See Also:
  Constant Field Values

### PREFIX_TYPE_CLASS_ALL_SPACE

    public static final int PREFIX_TYPE_CLASS_ALL_SPACE

See Also:
  Constant Field Values

Constructor Detail

### OsgiResourceUtils

    public OsgiResourceUtils()

Method Detail

### getPrefix

    public static String getPrefix(String path)

  Return the path prefix if there is any or `EMPTY_PREFIX` otherwise.

  Parameters:
    `path` -
  Returns:

### getSearchType

    public static int getSearchType(String path)

  Return the search type to be used for the give string based on the prefix.

  Parameters:
    `path` -
  Returns:

### isClassPathType

    public static boolean isClassPathType(int type)

### stripPrefix

    public static String stripPrefix(String path)

### convertURLArraytoResourceArray

    public static org.springframework.core.io.Resource[] convertURLArraytoResourceArray(URL[] urls)

### convertURLEnumerationToResourceArray

    public static org.springframework.core.io.Resource[] convertURLEnumerationToResourceArray(Enumeration<URL> enm)

### findUpperFolder

    public static String findUpperFolder(String path)

  Similar to /path/path1/ -> /path/, /path/file -> /path/

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.